#include <stdio.h>
#include <stdlib.h>

int main()
{
    char a,b;
    int n1,n2;

    scanf("%c", &a);
    scanf("%c", &b);
    scanf("%d", &n1);
    scanf("%d", &n2);
    char c[n1+n2];

    if((n1+n2)==0)
    {
        printf("nemoguce");
        return 0;
    }


   if(abs(n1-n2)==0 || abs(n1-n2)==1)
   {

       if((n1+n2)%2==0)
        {
        int br=0;
        int i;
        if(n1>=n2)
            {
                for(i=0;i<n1+n2;i=i+2)
                {
                    printf("%c",a);
                    printf("%c",b);
                }
            }
            else
            {
                for(i=0;i<n1+n2;i=i+2)
                {
                    printf("%c",b);
                    printf("%c",a);
                }
            }
        }

        else
        {
            int br=0;
            int i;
            if(n1>=n2)
                {
                    if(n1+n2==1)
                         {
                            printf("%c",a);
                            return 0;
                         }

                    for(i=0;i<n1+n2-2;i=i+2)
                    {
                        printf("%c",a);
                        printf("%c",b);
                    }
                        printf("%c",a);
                }
                else
                {
                    if(n1+n2==1)
                        {
                            printf("%c",b);
                            return 0;
                        }
                    for(i=0;i<n1+n2-2;i=i+2)
                    {
                        printf("%c",b);
                        printf("%c",a);
                    }
                    printf("%c",b);
                }
        }


   }


    else
        printf("nemoguce");



    return 0;
}